Subject: Re: [PATCH 3/6] prune_remote(): sort delete_refs_list references en masse

From: Michael Haggerty <[email-masked]>
Date: Tue, 25 Nov 2014 09:04:21 +0100

On 11/25/2014 08:21 AM, Michael Haggerty wrote:
> On 11/21/2014 05:44 PM, Junio C Hamano wrote:
>> [...]
>> Eh, why is that called sort_string_list()?  Perhaps it is a good
>> opening to introduce string_list_sort(list, flag) where flag would
>> be a bitmask that represents ignore-case, uniquify, etc., and
>> then either deprecate the current one or make it a thin wrapper
>> of the one that is more consistently named.
> 
> I agree. Indeed, I typed that function's name wrong once when
> constructing this patch. It would be better to name it consistently with
> the other string_list_*() functions.
> 
> I put it on my todo list (but don't let that dissuade somebody else from
> doing it).

Since I was re-rolling the patch series anyway, I tacked this renaming
change onto the end of it. Feel free to omit it if you think it belongs
separately.

Michael

-- 
Michael Haggerty
[email-masked]